*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html,
body{
    width:100%;
    height:100%;
    overflow:hidden;
    background:#000;
    position:fixed;
}

#game-container{
    width:100vw;
    height:100vh;
}

canvas{
    display:block;
    margin:0 auto;
}

#rotate-device{
    position:fixed;
    inset:0;
    display:none;
    justify-content:center;
    align-items:center;
    background:#000;
    color:#fff;
    font-family:Arial;
    font-size:32px;
    text-align:center;
    z-index:9999;
}

@media screen and (orientation: portrait) {
    #rotate-device{
        display:flex !important;
        pointer-events:auto !important;
    }

    #game-container{
        display:none !important;
    }
}

@media screen and (orientation: landscape) {
    #rotate-device{
        display:none !important;
        pointer-events:none !important;
    }

    #game-container{
        display:block !important;
    }
}